[Pkg-xfce-devel] Bug#525886: /usr/bin/exo-mount: cannot mount usb filesystems with exo-mount

Michael Gibbs upsilon.alpha at gmail.com
Mon Apr 27 17:28:37 UTC 2009

Package: exo-utils
Version: 0.3.100-2
Severity: important
File: /usr/bin/exo-mount

When I try to mount a usb filesystem with exo-mount, an error window 
pops up. Example:

$ exo-mount -d /dev/sdb2

Contents of window:     
Failed to mount "36G Volume".
org.freedesktop.hal.storage.mount-removable no <--(action,result)

This happens with my usb flash drive and all three partitions of my 
external hard drive. All of these can be mounted manually with 'mount' 
with no problems.

No problems with mounting CDs.

When I try mounting the same filesystems with pmount (a similar 
utility), there is no problem, so I'm guessing this is a problem with exo-mount 
communicating with hal rather than hal itself.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (650, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages exo-utils depends on:
ii  eject        2.1.5+deb1+cvs20081104-5    ejects CDs and operates CD-Changer
ii  libatk1.0-0  1.24.0-2                    The ATK accessibility toolkit
ii  libc6        2.9-4                       GNU C Library: Shared libraries
ii  libdbus-1-3  1.2.12-1                    simple interprocess messaging syst
ii  libexo-0.3-0 0.3.100-2                   Library with extensions for Xfce
ii  libglib2.0-0 2.20.0-2                    The GLib library of C routines
ii  libgtk2.0-0  2.14.7-5                    The GTK+ graphical user interface 
ii  libhal-stora 0.5.12~git20090406.46dc48-2 Hardware Abstraction Layer - share
ii  libhal1      0.5.12~git20090406.46dc48-2 Hardware Abstraction Layer - share
ii  libpango1.0- 1.24.0-3+b1                 Layout and rendering of internatio
ii  libxfce4util 4.6.0-2                     Utility functions library for Xfce

exo-utils recommends no packages.

exo-utils suggests no packages.

-- no debconf information

More information about the Pkg-xfce-devel mailing list